## org.eclipse.jst.jsf.context.symbol.provider
Class ProposalCreationFactoryAdapter

    java.lang.Object
      org.eclipse.jst.jsf.context.symbol.provider.ProposalCreationFactoryAdapter

All Implemented Interfaces:
  IContentProposalProvider.IProposalCreationFactory

    public class ProposalCreationFactoryAdapter

extends java.lang.Object
implements IContentProposalProvider.IProposalCreationFactory

Default implementation of the proposal creation factory

Provisional API - subject to change

Constructor Summary
`ProposalCreationFactoryAdapter(int replacementOffset, int replacementLength)`

Method Summary
`ICompletionProposal` `createProposal(java.lang.String replacementText, java.lang.String displayText, java.lang.String additionalText, Image displayImage, java.lang.Object targetObject)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProposalCreationFactoryAdapter

    public ProposalCreationFactoryAdapter(int replacementOffset,
                                          int replacementLength)

Parameters:
  `replacementOffset` - -- the absolute document offset to do the replacement
  `replacementLength` - -- the number of characters to replace or 0 for insert without any replacement

Method Detail

### createProposal

    public ICompletionProposal createProposal(java.lang.String replacementText,
                                              java.lang.String displayText,
                                              java.lang.String additionalText,
                                              Image displayImage,
                                              java.lang.Object targetObject)

  Specified by:
    `createProposal` in interface `IContentProposalProvider.IProposalCreationFactory`
  Parameters:
    `replacementText` - The text to be replaced
    `displayText` - The text to be displayed in the assist window
    `additionalText` - The text to be displayed in the "addition info" or null
    `displayImage` - The image to be displayed or null
    `targetObject` - The original source object. Implementors should make no assumptions (i.e. always test instanceof before casting)
  Returns:
    a configured completion proposal for the parameters